#
# spec file for package libXTrap
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libXTrap
%define lname	libXTrap6
Version:        1.0.1
Release:        12.3
Summary:        X event Trap extension
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXTrap
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXTrap/
Source:         http://xorg.freedesktop.org/archive/individual/lib/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.57, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(trapproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xt)

%description
libXTrap provides an interface to the DEC-XTRAP extension, which
allows for capture and synthesis of core input events.

%package -n %lname
Summary:        X event Trap extension
Group:          System/Libraries

%description -n %lname
libXTrap provides an interface to the DEC-XTRAP extension, which
allows for capture and synthesis of core input events.

%package devel
Summary:        Development files for the X event Trap extension
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libXTrap provides an interface to the DEC-XTRAP extension, which
allows for capture and synthesis of core input events.

This package contains the development headers for the library found
in %lname.

%prep
%setup -qn %name-%version

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXTrap.so.6*

%files devel
%defattr(-,root,root)
%_libdir/libXTrap.so
%_libdir/pkgconfig/xtrap.pc

%changelog
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Mon Jan  7 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.1:
  + Add README with pointers to mailing list, bugzilla & git repos
  + Add note about XTrap history & deprecation to README
  + Replace static ChangeLog with dist-hook to generate from git log
  + SyncHandle must not be called with the Display lock held.
  + configure.ac: Use AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER for automake 1.13
  + configure.ac: foreign and use XORG_COMPILER_FLAGS
  + nuke RCS Ids
  + Janitor: ansification, make distcheck, compiler warnings.
  + Fix memset usage.
  + Remove unnecessary memset return value casts to void.
* Tue Sep 25 2012 sndirsch@suse.com
- specfile cleanup
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
